This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 521887 - Fix instances of #!/usr/bin/env python in m2crypto
Fix instances of #!/usr/bin/env python in m2crypto
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: m2crypto (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Miloslav Trmač
BaseOS QE
:
Depends On:
Blocks: 502912 521940
  Show dependency treegraph
 
Reported: 2009-09-08 11:36 EDT by Issue Tracker
Modified: 2011-01-13 17:05 EST (History)
3 users (show)

See Also:
Fixed In Version: m2crypto-0.16-6.el5.7
Doc Type: Bug Fix
Doc Text:
Example scripts used "/usr/bin/env python" as the script interpreter path. With this update, the example scripts use "/usr/bin/python" as the script interpreter path to make sure the scripts are executed by the system Python interpreter, not a locally built interpreter.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 17:05:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2009-09-08 11:36:44 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2009-09-08 11:36:46 EDT
Event posted on 09-08-2009 11:35am EDT by kbaxley

There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, m2crypto in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python.  


/usr/share/doc/m2crypto-0.16/tests/test_evp.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_bio_iobuf.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_authcookie.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_x509.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_bio_file.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_bio_membuf.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_asn1.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_ecdsa.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_ssl_win.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_bio.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_dh.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_smime.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_dsa.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_bn.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_bio_ssl.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_ecdh.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_rsa.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/alltests.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/tests/test_ssl.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/x509/demo1.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/x509/ca.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/x509/proxy_destroy.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/x509/proxy_info.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/x509/proxy_init.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/medusa/START.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/medusa/START_xmlrpc.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/medusa/https_server.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/hmactest.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/CipherSaber/CipherSaber.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/smime/test.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/smime/sendsmime.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/smime/unsmime.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/rsatest.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/https.howto/get_https.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/https.howto/https_cli.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/dhtest.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/pgp/pgpstep.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/medusa054/START.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/medusa054/START_xmlrpc.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/medusa054/https_server.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/smime.howto/sendsmime.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/smime.howto/decrypt.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/smime.howto/sign.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/smime.howto/encrypt.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/smime.howto/dv.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/smime.howto/se.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/smime.howto/verify.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/Zope27/install_dir/lib/python/ZServer/medusa/https_server.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ec/ecdhtest.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ec/ecdsatest.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/Zope/utilities/x509_user.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/Zope/ZServer/medusa/https_server.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/dsatest.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/bioecho.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/echod-thread.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/ftp_tls.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/echod-async.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/echo-eg.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/twistedsslserver.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/echod-eg1.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/echod-threading.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/s_client.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/echod-iterative.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/server3.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/echod-forking.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/xmlrpc_cli.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/echo.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/twistedsslclient.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/c_bio.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/https_cli_async.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/c.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/https_cli.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/ss.py in m2crypto-0.16-6.el5.6
/usr/share/doc/m2crypto-0.16/demo/ssl/s_server.py in m2crypto-0.16-6.el5.6

This event sent from IssueTracker by kbaxley  [LLNL (HPC)]
 issue 339864
Comment 2 Miloslav Trmač 2009-09-08 12:45:19 EDT
Thanks for your report.

All of these instances are in files provided as documentation.  Do you expect to run these scripts unmodified?

(Well, someone might want to run the test suite...)
Comment 3 Issue Tracker 2009-09-08 12:59:58 EDT
Event posted on 09-08-2009 12:59pm EDT by kbaxley

For the sake of consistency, we probably need to look at fixing them down
the road in RHEL5, as there may be a case where an unsuspecting customer
will use one of the demo scripts as a template or something like that, and
it could end up generating an unwanted surprise if they're running
multiple versions of python on their boxes. 

This is very much a low-priority item, given where the scripts are and the
likelihood of them being widely used is pretty scarce.  

Internal Status set to 'Waiting on Engineering'

This event sent from IssueTracker by kbaxley 
 issue 339864
Comment 5 RHEL Product and Program Management 2009-11-06 14:01:55 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 6 Miloslav Trmač 2009-12-09 11:27:50 EST
Fixed in rawhide and F-12 m2crypto-0.20.2-3.
Comment 11 Martin Prpic 2010-12-20 14:26:29 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Example scripts used "/usr/bin/env python" as the script interpreter path. With this update, the example scripts use "/usr/bin/python" as the script interpreter path to make sure the scripts are executed by the system Python interpreter, not a locally built interpreter.
Comment 13 errata-xmlrpc 2011-01-13 17:05:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0019.html

Note You need to log in before you can comment on or make changes to this bug.